explain_access_or_die(3)

NAME
explain_access_or_die - check permissions for a file and report errors

SYNOPSIS
#include <libexplain/libexplain.h>
void explain_access_or_die(const char *pathname, int mode);

DESCRIPTION
The explain_access_or_die function is used to call the access(2) system call and check the result. On failure it prints an explanation of the error, obtained from explain_access(3), and then terminates by calling exit(EXIT_FAILURE).
    explain_access_or_die(pathname, mode);

pathname
    The pathname, exactly as to be passed to the access(2) system call.

mode
    The mode, exactly as to be passed to the access(2) system call.

Returns:
    Only ever return on success. On failure process will exit.

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller

AUTHOR
Written by Peter Miller <pmiller@opensource.org.au>